--
-- Author: Martin Fabik (aka LoogleCZ)
--
-- version ID   - 1.0
-- version date - 13.3.2016 (12:45)
-- 
-- Free for non-comerecial usage
--
--[[
]]--

startsmoke = {};

function startsmoke.prerequisitesPresent(specializations)
	return true;
end;

function startsmoke:load(xmlFile)
	self.FBM = {};
	self.FBM.emittTime = 0;
	
	self.FBM.smokeStartPS = {};
	Utils.loadParticleSystem(self.xmlFile, self.FBM.smokeStartPS, "vehicle.smokeStartParticleSystem", self.components, false, nil, self.baseDirectory);
	self.FBM.allowedEmittTime = Utils.getNoNil(getXMLFloat(self.xmlFile, "vehicle.smokeStartParticleSystem#startOffset"),0.1)*1000;

end;

function startsmoke:delete()
	Utils.deleteParticleSystem(self.FBM.smokeStartPS);
end;

function startsmoke:writeStream(streamId, connection)
end;

function startsmoke:readStream(streamId, connection)
end;

function startsmoke:mouseEvent(posX, posY, isDown, isUp, button)
end;

function startsmoke:keyEvent(unicode, sym, modifier, isDown)
end;

function startsmoke:update(dt)
end;

function startsmoke:updateTick(dt)
	if self:getIsActive() then
		if self.isClient then
			if self.FBM.emitting then
				if self.FBM.emittTime >= self.FBM.allowedEmittTime then
					Utils.setEmittingState(self.FBM.smokeStartPS, false);
					self.FBM.emittTime = 0;
				else
					self.FBM.emittTime = self.FBM.emittTime + dt;
				end;
			end;
		end;
	end;
end;

function startsmoke:onTurnedOn()
	if self:getIsActive() then
		if self.isClient then
			Utils.setEmittingState(self.FBM.smokeStartPS, true);
			self.FBM.emitting = true;
		end;
	end;
end;

function startsmoke:draw()
end;